

package gov.va.med.cds.scheduler.persistence;


import java.util.Date;


public class CensusCompleteWeek
    extends
        RoutingData
{
    private static final long serialVersionUID = 4691654447256049102L;

    private Long censusCompleteWeekId;
    private Long vendorId;
    private String vendorFacility;
    private Date reportStartDt;
    private String ingestStatus;
    private Date ingestStatusDt;
    private String transformStatus;
    private Date transformStatusDt;
    private Date messageInsertionTime;
    private String ackStatus;
    private Date ackStatusDt;
    private Date reportEndDt;
    private String requestId;


    public Long getCensusCompleteWeekId( )
    {
        return censusCompleteWeekId;
    }


    public void setCensusCompleteWeekId( Long censusCompleteWeekId )
    {
        this.censusCompleteWeekId = censusCompleteWeekId;
    }


    public Long getVendorId( )
    {
        return vendorId;
    }


    public void setVendorId( Long vendorId )
    {
        this.vendorId = vendorId;
    }


    public String getVendorFacility( )
    {
        return vendorFacility;
    }


    public void setVendorFacility( String vendorFacility )
    {
        this.vendorFacility = vendorFacility;
    }


    public Date getReportStartDt( )
    {
        return reportStartDt;
    }


    public void setReportStartDt( Date reportStartDt )
    {
        this.reportStartDt = reportStartDt;
    }


    public String getIngestStatus( )
    {
        return ingestStatus;
    }


    public void setIngestStatus( String ingestStatus )
    {
        this.ingestStatus = ingestStatus;
    }


    public Date getIngestStatusDt( )
    {
        return ingestStatusDt;
    }


    public void setIngestStatusDt( Date ingestStatusDt )
    {
        this.ingestStatusDt = ingestStatusDt;
    }


    public String getTransformStatus( )
    {
        return transformStatus;
    }


    public void setTransformStatus( String transformStatus )
    {
        this.transformStatus = transformStatus;
    }


    public Date getTransformStatusDt( )
    {
        return transformStatusDt;
    }


    public void setTransformStatusDt( Date transformStatusDt )
    {
        this.transformStatusDt = transformStatusDt;
    }


    public Date getMessageInsertionTime( )
    {
        return messageInsertionTime;
    }


    public void setMessageInsertionTime( Date messageInsertionTime )
    {
        this.messageInsertionTime = messageInsertionTime;
    }


    public String getAckStatus( )
    {
        return ackStatus;
    }


    public void setAckStatus( String ackStatus )
    {
        this.ackStatus = ackStatus;
    }


    public Date getAckStatusDt( )
    {
        return ackStatusDt;
    }


    public void setAckStatusDt( Date ackStatusDt )
    {
        this.ackStatusDt = ackStatusDt;
    }


    public Date getReportEndDt( )
    {
        return reportEndDt;
    }


    public void setReportEndDt( Date reportEndDt )
    {
        this.reportEndDt = reportEndDt;
    }


    public String getRequestId( )
    {
        return requestId;
    }


    public void setRequestId( String requestId )
    {
        this.requestId = requestId;
    }
}
